#
%define		_state		stable
%define		orgname		filelight
%define		qtver		4.8.0

Summary:	K Desktop Environment - Disk usage statistics
Name:		kde4-filelight
Version:	4.10.4
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	c57fa5f036030d7b67d92c29d61b7e21
URL:		http://www.kde.org/
BuildRequires:	kde4-kdebase-devel >= %{version}
BuildRequires:	openssl-devel
Requires:	kde4-kdebase-workspace >= %{version}
Obsoletes:	kde4-kdeutils-filelight
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Disk usage statistics.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/filelight
%attr(755,root,root) %{_libdir}/kde4/filelightpart.so
%{_desktopdir}/kde4/filelight.desktop
%{_datadir}/apps/filelight
%{_datadir}/apps/filelightpart
%{_datadir}/config/filelightrc
%{_iconsdir}/hicolor/*x*/apps/filelight.png
%{_iconsdir}/hicolor/*x*/actions/view_filelight.png
%{_datadir}/kde4/services/filelightpart.desktop
%changelog
* Wed Jun 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-filelight.git;a=log;h=master

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 72be52c
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> f1ca2b8
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> a04baed
- updated to 4.9.4

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 1b9713a
- updated to 4.9.1.

* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> 2f462ed
- updated to 4.9.0.

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> e3967cf
- initial

